Bug 123448 - Add "Insert" submenu into editor's contextual menu
Add "Insert" submenu into editor's contextual menu
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Actions/Menu/Toolbar
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Miloslav Metelka
issues@editor
: PLAN, UI
Depends on: 134239
Blocks: 133913
  Show dependency treegraph
 
Reported: 2007-12-05 12:20 UTC by jrojcek
Modified: 2008-06-05 23:15 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2007-12-05 12:20:41 UTC
Problem description and solution:

Currently the editor contextual menu contains technology-specific submenus, e.g. "EJB Methods", "Enterprise Resources", Web Service Client Resources". 
They make the menu long, cluttered and complex. As they all server the same use case  which is inserting code snippets into the edited source files, they 
should be be merged together into a single "Insert" submenu. See the spec (maybe needs an update):
http://wiki.netbeans.org/wiki/view/EditorContextualMenus

---

Note that even though I'm filing this issue as part of the 6.1 planning, the real intention is to address this issue either in 6.1 or in one of the upcoming 
releases.
Comment 1 Jan Becicka 2008-04-25 11:04:51 UTC
If I understand it well, in technical point of view this task is: allow to add items to Alt-Insert popup.
Comment 2 jrojcek 2008-04-25 13:25:01 UTC
Yes, all "insert" actions should be integrated into the "Insert Code" popup.

In addition to that, we're still considering the "Insert" submenu as a replacement for the existing code generating actions. I'll let you know ASAP what's the 
final proposal.
Comment 3 Jan Becicka 2008-05-21 15:17:01 UTC
This issue is fixed, right? After fix of issue 134239
Comment 4 Jan Becicka 2008-05-26 15:05:31 UTC
Milo, please take a look at it. Thanks
Comment 5 Miloslav Metelka 2008-06-05 23:15:59 UTC
I also assume that this is fixed thanks to issue 134239. Marking as fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo